Imagery
List imagery intervals
Imago API
Searches for a list of imageries matching a search criteria. For compatibility reasons, the verbose parameter must be set to true to get all defined response fields.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
Restrict searching to this workspace.
Restrict searching to this dataset.
Restrict searching to this collection. Either collection or workspace must always be defined.
Only search for imagery with this imagery type. If not provided then all imagery types are returned.
Search for imagery with this name.
Search for imagery with this start depth.
Search for imagery with this end depth.
Search for imagery with this longtitude/X coordinate.
Search for imagery with this latitude/Y coordinate.
Search for imagery with this elevation/Z coordinate.
Determines how the search pattern matches the start/end depths.
Default value: equals
Allowed values: 'equals', 'includes'
Tolerance used when matching numbers.
Default value: 0.0
Only return imageries that have had images updated in the last number of specified days.
Only return imageries that have had images uploaded in the last number of specified days.
Only return imageries that have had images updated after the given timestamp. This uses the date-time notation as defined by RFC 3339. For example, 2017-07-21T17:32:28Z. This will override updatedSince if both are provided.
Only return imageries that have had images uploaded after the given timestamp. This uses the date-time notation as defined by RFC 3339. For example, 2017-07-21T17:32:28Z. This will override uploadedSince if both are provided.
Return imagery starting at this offset.
Limit how many imageries are returned. The default and maximum setting restricts the output to 5000 imageries.
Return all named keys identifying each imagery. IMPORTANT: For compatibility reasons, this must be set to be true otherwise not all information is returned.
Include featureDefinitions in returned imagery payload. Defaults to true. Recommended to set this to false if you do not need the features.
If set to true, only return deleted imagery. If set to false, only return active imagery. defaults to false.
return a specific imagery. The imagery ID must be an exact match by imagery ID. If the imagery is deleted the deleted query parameter must also be set to true.
Returns
200
Successful response.
List of matching imagery
Imagery identifier.
Workspace name that the imagery belongs to. This is only included in the output if verbose is set to true.
Workspace ID that the imagery belongs to. This is only included in the output if verbose is set to true.
Dataset name that the imagery belongs to. This is only included in the output if verbose is set to true.
Dataset ID that the imagery belongs to. This is only included in the output if verbose is set to true.
Collection name that the imagery belongs to. This is only included in the output if verbose is set to true.
Imagery type name that the imagery belongs to within the collection. This is only included in the output if verbose is set to true.
Last datetime that the imagery was updated.
Name of the imagery
Start depth of the imagery.
End depth of the imagery.
Longtitude/X coordinate of the imagery.
Latitude/Y coordinate of the imagery.
Elevation/Z coordinate of the imagery.
List of images on this imagery.
Image identifier.
Image type name available on the imagery.
Timed access to a URL to directly download the image.
Date/time that the image was uploaded.
User account that uploaded the image.
Image's mime type.
Image's width in pixels.
Image's height in pixels.
Size of image file.
Last datetime that the image was updated.
List of attribute definitions used by the imagery.
Name of the attribute definition.
Key/value pairs of attributes on the imagery.
List of feature definitions used by the imagery. This is excluded from the output if includeFeatures is set to false.
Name of an existing Feature Definition
List of feature types linked to the feature definition containing the values to be saved
Name of an existing Feature Type
List of images in the imagery with features, identified by image type
Name of an Image Type linked to the Imagery Type
List of features present in the image
A list of points that describe the geometry of the feature on the image
The x value for the point as a percentage of the image width, between 0 (left border) and 1 (right border)
The y value for the point as a percentage of the image height, between 0 (top border) and 1 (bottom border)
Describes the location of this point in relation to the drawing. 0 for the first point, 1 for a middle point, and -1 for the last point.
The maximum number of items to return. Optional.
The number of items to skip before starting to collect the result set.
Endpoint
Request
curl -X GET 'https://imago.api.seequent.com/integrate/2/imagery' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"imageries": [
{
"id": "e2f26f0d-51c8-468e-b02f-29b4dc2217a2",
"collectionId": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"imageryTypeId": "6a69bf8e-c03c-4ed2-8a62-d6feac838f12",
"workspaceId": "a27b51bf-b918-4fb4-a28f-4f089bf646a8",
"workspaceName": "Firefly Resource Development",
"datasetId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"datasetName": "Drilling Chips",
"collectionName": "RC-01001",
"imageryTypeName": "Chips",
"startDepth": 5,
"endDepth": 15,
"updatedAt": "2011-10-05T14:48:00.000Z",
"images": [
{
"id": "87a703c2-9bb4-4e56-951d-be293fb71692",
"imageTypeId": "f16c5dbe-f455-4076-8358-ffda8f538814",
"url": "https://imago.api.seequent.com/integrate/2/image/b91119e8-cee5-4c11-ad14-fe1dcb0c1c66/?userId=34a3f4ae-d53c-43d4-8545-a552c2a24c54&start=2025-04-23T03:59:36.499Z&expiry=2025-04-23T15:59:36.499Z&sig=4284b5576fffd3ebb94740025415aa2138d514139c5c61c5ef0b7af912da3fb8",
"uploadedOn": "2022-05-02T06:25:32.085Z",
"uploadedBy": "ImagoLive",
"mimeType": "image/jpeg",
"fileSize": "40192",
"width": null,
"height": null,
"checksum": "x7Rpt+5ET3C3vQataO7tEA==",
"imageTypeName": "Wet",
"updatedAt": "2011-10-05T14:48:00.000Z"
}
],
"attributeDefinitions": [
{
"name": "Core Tray Box Numbers",
"attributes": {
"StartBox": 2,
"EndBox": 2
}
}
],
"featureDefinitions": [
{
"name": "Linearization",
"featureTypes": [
{
"name": "row",
"images": [
{
"name": "Wet Original",
"features": [
{
"points": [
{
"x": 0.007876626215875149,
"y": 0.3148634731769562,
"pen": 0
},
{
"x": 0.9640294909477234,
"y": 0.3148634731769562,
"pen": 1
},
{
"x": 0.9640294909477234,
"y": 0.7148634731769562,
"pen": 1
},
{
"x": 0.00787662621587514,
"y": 0.7148634731769562,
"pen": -1
}
]
}
]
}
]
}
]
}
]
}
],
"meta": {
"limit": 50,
"offset": 0
}
}
Update an Imagery interval
Imago API
Update an imagery attributes and identification.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
List of imageries to create or update.
Name of the workspace containing the imagery. Only optional if updating an existing imagery.
Name of the dataset containing the imagery. Only optional if updating an existing imagery.
Name of the collection containing the imagery.
Name of the imagery type for the imagery.
Name of imagery. Only optional according to the imagery type's geometry type
Start depth of imagery. Only optional according to the imagery type's geometry type.
End depth of imagery. Only optional according to the imagery type's geometry type.
Longtitude/X coordinate of imagery. Only optional according to the imagery type's geometry type.
Latitude/Y coordinate of imagery. Only optional according to the imagery type's geometry type.
Elevation/Z coordinate of imagery. Only optional according to the imagery type's geometry type.
Name of imagery. Only optional according to the imagery type's geometry type.
New start depth of imagery if required.
New end depth of imagery if required.
New longtitude/X coordinate of imagery if required. Only optional according to the imagery type's geometry type.
New latitude/Y coordinate of imagery if required. Only optional according to the imagery type's geometry type.
New elevation/Z coordinate of imagery if required. Only optional according to the imagery type's geometry type.
List of attribute definitions to update on the imagery.
Name of the attribute definition.
Key/value pairs of attributes on the imagery.
This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.
List of feature definitions to update on the imagery
Name of an existing Feature Definition
List of feature types linked to the feature definition containing the values to be saved
Name of an existing Feature Type
List of images in the imagery with features, identified by image type
Name of an Image Type linked to the Imagery Type
List of features present in the image
A list of points that describe the geometry of the feature on the image
The x value for the point as a percentage of the image width, between 0 (left border) and 1 (right border)
The y value for the point as a percentage of the image height, between 0 (top border) and 1 (bottom border)
Describes the location of this point in relation to the drawing. 0 for the first point, 1 for a middle point, and -1 for the last point.
[
{
"keys": {
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"collectionName": "RC-01001",
"imageryTypeName": "Chips",
"startDepth": 0,
"endDepth": 10
},
"startDepth": 5,
"endDepth": 15,
"attributeDefinitions": [
{
"name": "Core Tray Box Numbers",
"attributeValues": {
"StartBox": 2,
"EndBox": 2
}
}
],
"featureDefinitions": [
{
"name": "Linearization",
"featureTypes": [
{
"name": "row",
"images": [
{
"name": "Wet Original",
"features": [
{
"points": [
{
"x": 0.007876626215875149,
"y": 0.3148634731769562,
"pen": 0
},
{
"x": 0.9640294909477234,
"y": 0.3148634731769562,
"pen": 1
},
{
"x": 0.9640294909477234,
"y": 0.7148634731769562,
"pen": 1
},
{
"x": 0.00787662621587514,
"y": 0.7148634731769562,
"pen": -1
}
]
}
]
}
]
}
]
}
]
}
]
Returns
200
Successful response.
Endpoint
Request
curl -X PUT 'https://imago.api.seequent.com/integrate/2/imagery' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-d '[
{
"keys": {
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"collectionName": "RC-01001",
"imageryTypeName": "Chips",
"startDepth": 0,
"endDepth": 10
},
"startDepth": 5,
"endDepth": 15,
"attributeDefinitions": [
{
"name": "Core Tray Box Numbers",
"attributeValues": {
"StartBox": 2,
"EndBox": 2
}
}
],
"featureDefinitions": [
{
"name": "Linearization",
"featureTypes": [
{
"name": "row",
"images": [
{
"name": "Wet Original",
"features": [
{
"points": [
{
"x": 0.007876626215875149,
"y": 0.3148634731769562,
"pen": 0
},
{
"x": 0.9640294909477234,
"y": 0.3148634731769562,
"pen": 1
},
{
"x": 0.9640294909477234,
"y": 0.7148634731769562,
"pen": 1
},
{
"x": 0.00787662621587514,
"y": 0.7148634731769562,
"pen": -1
}
]
}
]
}
]
}
]
}
]
}
]'
Response
No response body.
Create an Imagery interval
Imago API
This will create a new imagery if it does not exist, otherwise it will update an existing imagery.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
List of imageries to create or update.
Name of the workspace containing the imagery. Only optional if updating an existing imagery.
Name of the dataset containing the imagery. Only optional if updating an existing imagery.
Name of the collection containing the imagery.
Name of the imagery type for the imagery.
Name of imagery. Only optional according to the imagery type's geometry type
Start depth of imagery. Only optional according to the imagery type's geometry type.
End depth of imagery. Only optional according to the imagery type's geometry type.
Longtitude/X coordinate of imagery. Only optional according to the imagery type's geometry type.
Latitude/Y coordinate of imagery. Only optional according to the imagery type's geometry type.
Elevation/Z coordinate of imagery. Only optional according to the imagery type's geometry type.
List of attribute definitions to update on the imagery.
Name of the attribute definition.
Key/value pairs of attributes on the imagery.
This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.
List of feature definitions to update on the imagery
Name of an existing Feature Definition
List of feature types linked to the feature definition containing the values to be saved
Name of an existing Feature Type
List of images in the imagery with features, identified by image type
Name of an Image Type linked to the Imagery Type
List of features present in the image
A list of points that describe the geometry of the feature on the image
The x value for the point as a percentage of the image width, between 0 (left border) and 1 (right border)
The y value for the point as a percentage of the image height, between 0 (top border) and 1 (bottom border)
Describes the location of this point in relation to the drawing. 0 for the first point, 1 for a middle point, and -1 for the last point.
[
{
"keys": {
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"collectionName": "RC-01001",
"imageryTypeName": "Chips",
"startDepth": 0,
"endDepth": 10
},
"attributeDefinitions": [
{
"name": "Core Tray Box Numbers",
"attributeValues": {
"StartBox": 1,
"EndBox": 1
}
}
],
"featureDefinitions": [
{
"name": "Linearization",
"featureTypes": [
{
"name": "row",
"images": [
{
"name": "Wet Original",
"features": [
{
"points": [
{
"x": 0.007876626215875149,
"y": 0.3148634731769562,
"pen": 0
},
{
"x": 0.9640294909477234,
"y": 0.3148634731769562,
"pen": 1
},
{
"x": 0.9640294909477234,
"y": 0.7148634731769562,
"pen": 1
},
{
"x": 0.00787662621587514,
"y": 0.7148634731769562,
"pen": -1
}
]
}
]
}
]
}
]
}
]
}
]
Returns
200
Successful response.
Endpoint
Request
curl -X POST 'https://imago.api.seequent.com/integrate/2/imagery' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-d '[
{
"keys": {
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"collectionName": "RC-01001",
"imageryTypeName": "Chips",
"startDepth": 0,
"endDepth": 10
},
"attributeDefinitions": [
{
"name": "Core Tray Box Numbers",
"attributeValues": {
"StartBox": 1,
"EndBox": 1
}
}
],
"featureDefinitions": [
{
"name": "Linearization",
"featureTypes": [
{
"name": "row",
"images": [
{
"name": "Wet Original",
"features": [
{
"points": [
{
"x": 0.007876626215875149,
"y": 0.3148634731769562,
"pen": 0
},
{
"x": 0.9640294909477234,
"y": 0.3148634731769562,
"pen": 1
},
{
"x": 0.9640294909477234,
"y": 0.7148634731769562,
"pen": 1
},
{
"x": 0.00787662621587514,
"y": 0.7148634731769562,
"pen": -1
}
]
}
]
}
]
}
]
}
]
}
]'
Response
No response body.
Delete an imagery interval
Imago API
Deletes an imagery based on the provided imagery ID.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
The ID of the imagery to delete.
Returns
204
The imagery was successfully deleted.
Endpoint
Request
curl -X DELETE 'https://imago.api.seequent.com/integrate/2/imagery/{imageryid}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.